MITE 1.6.4 R196 | October 15, 2017
----------------------------------
- Experimental branch release (compatible with R193)
- Includes all changes from R195

MITE 1.6.4 R195 | October 14, 2017
----------------------------------
- Main branch release (compatible with R194)
- Disabled public_servers.txt to prevent erroneous server listings in multiplayer
- Java 1.7 is now enforced as a minimum requirement

MITE 1.6.4 R194 | October 14, 2017
----------------------------------
- Main branch release (compatible with R191)
- Includes all changes from R193

MITE 1.6.4 R193 | October 13, 2017
----------------------------------
- Experimental branch release (compatible with R192)
- Fixed bug that caused negative level stat to be displayed for high level players in multiplayer games
- Fixed bug that caused hoppers to dispense infinite XP orbs
- Chicken manure and feather production rates halved
- Bats have an extra spawning restriction that prevents them from spawning above lighted areas
- Blood moon crop blighting is now disabled on dedicated servers

MITE 1.6.4 R192 | September 16, 2017
------------------------------------
- Experimental branch release (compatible with R189)
- Includes all changes from R191

MITE 1.6.4 R191 | September 15, 2017
------------------------------------
- Main branch release (compatible with R190)
- Dead bushes, redstone torches, and wooden buttons can be burned as fuel in ovens and furnaces
- More translation keys added

MITE 1.6.4 R190 | September 10, 2017
------------------------------------
- Main branch release (compatible with R187)
- Includes all changes from R189

MITE 1.6.4 R189 | September 10, 2017
------------------------------------
- Experimental branch release (compatible with R188)
- Added fog weather events in Overworld
- Vine growth is limited to a random length based on xyz coords
- Speed modifiers (Potion of Swiftness/Slowness, Speed Enchantment, Paralyzation) affect climbing speed
- Paralyzed players can slowly climb out of water if they are horizontally collided with a solid block
- More translation keys added

MITE 1.6.4 R188 | August 25, 2017
---------------------------------
- Experimental branch release (compatible with R185)
- Includes all changes from R186 and R187

MITE 1.6.4 R187 | August 24, 2017
---------------------------------
- Main branch release (compatible with R186)
- Fixed door placement bug reported by half_drop
- Fixed "Bad Login" error for new MC launcher

MITE 1.6.4 R186 | August 22, 2017
---------------------------------
- Main branch release (compatible with R183)
- Includes all changes from R184 and R185 (except for better tools crafting speed bonus)
- Removed hardcoded Shift+C and Shift+R keybindings
- Added customizable keybinding for redrawing chunks (default is R key)

MITE 1.6.4 R185 | August 21, 2017
---------------------------------
- Experimental branch release (compatible with R184)
- Fixed anvil crash bug reported by half_drop

MITE 1.6.4 R184 | August 20, 2017
---------------------------------
- Experimental branch release (compatible with R182)
- Includes all changes from R183
- Better tool benches provide faster crafting speeds for recipes that require tools
- Desert pyramid treasure rooms generate with torches above the chests to prevent mobs from spawning and triggering TNT trap

MITE 1.6.4 R183 | August 19, 2017
---------------------------------
- Main branch release (compatible with R181)
- Tweaks to Bone Lord troop summoning restrictions
- Fixed bug that allowed spiders to lose track of non-player targets

MITE 1.6.4 R182 | August 19, 2017
---------------------------------
- Experimental branch release (compatible with R178)
- Includes all changes from R180 and R181

MITE 1.6.4 R181 | August 18, 2017
---------------------------------
- Main branch release (compatible with R180)
- Many translation entries added to MITE.lang
- Fixed bug that allowed creation of free source water block above lily pads
- Fixed bug in which player's bounding box wasn't properly updated when entering bed
- Fixed bug that allowed empty handed players to interfere with animal luring
- Crafting tables provide a 20% crafting speed bonus
- Bone Lords summon early troops more quickly and can summon troops in shallow water
- The "Leave Bed" button has been removed so that player can view health bar while resting
- Disconnections for chat spamming are now only issued from dedicated servers
- Experience value of Phase Spiders increased from 5 to 10

MITE 1.6.4 R180 | August 13, 2017
---------------------------------
- Main branch release (compatible with R179)
- Added new mob: Phase Spider
- Phase Spiders can teleport short distances to attack victims and evade damage
- Endermen leave particle trails when teleporting
- Improved skeleton archer aiming has been applied to Witches, Ghasts, and Blazes
- Squids won't follow targetted players into shallow water
- Dropped items produce smoke particles when consumed by fire
- Player is prevented from crafting when upper body is in web
- Skeletons will occasionally spawn with a rusted dagger or rusted sword instead of a club once a certain number of days have elapsed

MITE 1.6.4 R179 | August 7, 2017
--------------------------------
- Main branch release (compatible with R174)
- Includes all changes from R176 to R178

MITE 1.6.4 R178 | August 6, 2017
--------------------------------
- Experimental branch release (compatible with R177)
- Skeleton archers can adjust their aim to hit moving targets
- Spiders will occasionally throw webs at nearby opponents to entrap them
- Demon spiders throw burning webs
- Fire and lava damage bypasses mundane armor
- Fire and lava damage can completely destroy leather armor
- Lava damages metal armor rapidly (x10) and can completely destroy it
- Metal armors do not decay from fire damage
- Adamantium armor does not decay from lava damage

MITE 1.6.4 R177 | August 1, 2017
--------------------------------
- Experimental branch release (compatible with R176)
- Coal blocks now provide heat level 2 (instead of 1)
- Sandstone blocks can be smelted into glass at heat level 2 or higher
- Skeletons with melee weapons will move into sunlight to reach an attack target
- Skeleton archer trajectory tweaked to help them hit targets near max range
- Bone Lords will not despawn once they have targetted a player
- Bone Lords can gradually recall troops if no targets are present

MITE 1.6.4 R176 | July 30, 2017
-------------------------------
- Experimental branch release (compatible with R175)
- Fixed bug that allowed hoppers to transfer inappropriate items into ovens and furnaces
- Added new mob: Bone Lord
- Bone Lords can summon skeletons
- Bone Lords have an aura that frenzies and heals nearby skeletons
- Ancient Bone Lords are found in the Underworld
- Webs no longer slow falling blocks
- Adjustments made to desert terrain generation that allow caves and ravines to tunnel through sandstone and sand

MITE 1.6.4 R175 | July 21, 2017
-------------------------------
- Experimental branch release (compatible with R172)
- Includes all changes from R174

MITE 1.6.4 R174 | July 21, 2017
-------------------------------
- Main branch release (compatible with R173)
- Zombie villagers no longer avoid sunlight

MITE 1.6.4 R173 | July 16, 2017
-------------------------------
- Main branch release (not compatible with previously generated worlds)
- Includes all changes from R172

MITE 1.6.4 R172 | July 13, 2017
-------------------------------
- Experimental branch release (not compatible with previously generated worlds)
- Removed void particles
- Added two new kinds of permanent blocks: Mantle and Core
- Mantle blocks are found at the bottom of the Underworld
- Core blocks are found at the bottom of the Nether
- The bottom half of the Underworld now contains large, irregularly shaped plates of bedrock
- Worms will eat plant material and most food items when placed together with them in a chest (detailed information can be found in reference/item_composting.txt)

MITE 1.6.4 R171 | July 13, 2017
-------------------------------
- Main branch release (compatible with R168)
- Includes all changes from R170

MITE 1.6.4 R170 | July 12, 2017
-------------------------------
- Experimental branch release (compatible with R169)
- Fixed bug that sometimes caused player to appear in solid blocks when teleporting to world spawn via portal
- Removed code that was preventing zombie villagers from despawning
- All villages are now generated without villagers

MITE 1.6.4 R169 | July 8, 2017
------------------------------
- Experimental branch release (compatible with R166)
- Includes all changes from R168

MITE 1.6.4 R168 | July 8, 2017
------------------------------
- Main branch release (compatible with R167)
- Implemented new method for generating areas of exposed stone on surface of Overworld (R168+)

MITE 1.6.4 R167 | July 5, 2017
------------------------------
- Main branch release (compatible with R163)
- Includes all changes from R165 and R166

MITE 1.6.4 R166 | July 5, 2017
------------------------------
- Experimental branch release (compatible with R165)
- Added worms
- Worms can be eaten raw or cooked
- Raw worms can be placed in hotbar to double fishing catch rate
- Grass blocks in non-freezing biomes have a chance of dropping a worm when harvested, and this chance is increased when block is exposed to rain
- Fixed bug that allowed player to craft coins when not having sufficient experience
- Fixed bug that sometimes prevented mobs from navigating around obstacles
- Furnaces will spit out XP orbs when dropping smelted items into a hopper

MITE 1.6.4 R165 | July 1, 2017
------------------------------
- Experimental branch release (compatible with R164)
- Pockmarked terrain prevented in new worlds (R165+)
- Villages are generated with dead crops
- Villages only require the crafting of an iron pickaxe/war hammer (or better) to be unlocked

MITE 1.6.4 R164 | June 25, 2017
-------------------------------
- Experimental branch release (compatible with R161)
- Includes all changes from R163

MITE 1.6.4 R163 | June 25, 2017
-------------------------------
- Main branch release (compatible with R162)
- Removed "Max FPS" performance setting
- Fixed bug that caused swamp hut posts to be truncated by lily pads
- Fixed bug that caused flame level in furnace to change after save/load
- Fixed bug that caused zombies to pick up entire stack of pumpkins for a helmet instead of 1
- Portals no longer spawn mobs (because the portal could be potentially blocked on other side)
- Doubled spawn rate of Longdead in Underworld
- Increased chance of ancient metal nuggets and ingots appearing in Underworld dungeon chests
- Doubled frequency of dungeons in Underworld
- Enchanted golden apples can be used to instantly convert weakened zombie villagers
- All villages are now generated with zombie villagers
- Zombie villagers avoid sunlight and do not despawn
- Zombie villager profession is now preserved during conversions
- Added /villages command that shows remaining conditions for unlocking villages
- Buckets of different metals can be used together when crafting batches of cheese

MITE 1.6.4 R162 | June 3, 2017
------------------------------
- Main branch release (compatible with R157)
- Includes all changes from R159 to R161

MITE 1.6.4 R161 | June 2, 2017
------------------------------
- Experimental branch release (compatible with R160)
- Put limit on density of void fog near bottom of Overworld
- Night vision potion effect no longer causes fog to appear white

MITE 1.6.4 R160 | May 31, 2017
------------------------------
- Experimental branch release (compatible with R159)
- Added "Enhanced" performance setting on Video Settings page (faster chunk rendering)

MITE 1.6.4 R159 | May 28, 2017
------------------------------
- Experimental branch release (compatible with R158)
- Game state is saved at moment of player death
- Mitigated bug that causes foals to step into slab blocks
- Mobs are smarter about moving around cactus blocks
- Mobs only take damage from cactus blocks if they are standing on one, being pushed by another entity, or moving recklessly (quickly)

MITE 1.6.4 R158 | May 26, 2017
------------------------------
- Experimental branch release (compatible with R154)
- Includes all changes from R156 and R157

MITE 1.6.4 R157 | May 25, 2017
------------------------------
- Main branch release (compatible with R156)
- Increased attack reach of iron golems
- All earth elementals can be damaged by iron golem attacks
- Earth elementals are converted to their heated counterparts when struck by lightning
- Reduced chance of cow destroying tall grass when feeding by 90%
- Horses immediately stop feeding when attacked
- Horses won't attempt to feed when shying away from players
- Fixed bug that prevented adult horses (and other wide mobs such as iron golems) from being able to jump when moving in negative x or negative z direction

MITE 1.6.4 R156 | May 23, 2017
------------------------------
- Main branch release (compatible with R155)
- Contents of village strongbox updated to include coins and more valuable items
- Axes are effective against clay and hardened clay blocks
- Added new Earth Elemental variant (clay)
- Taming of horses is now more challenging
- Wild horses can only be bribed with a food item once every 4000 ticks
- Once a wild horse throws off a rider it will reject all riding attempts for 4000 ticks
- Wild horses tend to shy away from players
- Harming a wild horse decreases its docility
- Fixed bug that allowed foals to be pushed into solid blocks and suffocate
- Fixed bug that prevented foals from moving
- Silverfish may appear in any biome, with higher frequency in mountainous biomes
- Silverfish prey upon villagers and animals

MITE 1.6.4 R155 | May 15, 2017
------------------------------
- Main branch release (compatible with R153)
- Includes all changes from R154

MITE 1.6.4 R154 | May 15, 2017
------------------------------
- Experimental branch release (compatible with R149 to R152)
- Adamantium runegates can now teleport no less than 20 km from world origin
- Metal knives phased out (can no longer be crafted or sold by villagers)
- Daggers can now have the Butchering enchantment
- Spawn rate of wood spiders increased (nearly doubled)
- Hostile mobs cannot spawn wherever there is light from a blue moon
- New mob variant: Hoary Silverfish (appears in Underworld and causes paralysis)
- Normal silverfish no longer cause paralysis
- Increased XP value of Copperspine and Netherspawn from 5 to 10

MITE 1.6.4 R153 | May 12, 2017
------------------------------
- Compatible with R148
- Includes all changes from R149 to R152, excluding any that pertain to tool benches and recipe changes for flint and obsidian tools (lashing)

MITE 1.6.4 R152 | May 11, 2017
------------------------------
- Continuation of experimental branch (compatible with R149 to R151)
- Tool benches now use shaped recipes
- Fixed "Damaged component" bug that prevented repairs via crafting
- Leather armor can be repaired with string (in addition to sinew)
- Added ancient metal coins (500 XP), mithril coins (2500 XP), and adamantium coins (10000 XP)
- Added adamantium runestones
- Runegates made with adamantium runestones teleport players much further than those made with mithril runestones (8x)

MITE 1.6.4 R151 | May 5, 2017
-----------------------------
- Continuation of experimental branch (compatible with R149 and R150)
- Squid can smash boats if they are targetting the occupant, and are particularly aggressive at night
- Squid are peaceful during night of blue moons (but will still paralyze if you bump into them)
- Fixed incorrect repair difficulty of flint and obsidian knives
- Java command line arguments are now shown on startup in console output (to help debug "Connection Lost, Failed to login: Bad login" error)

MITE 1.6.4 R150 | May 3, 2017
-----------------------------
- Experimental branch release (compatible with R149)
- Recipes for tool benches have been changed
- Added obsidian tool bench
- Added achievement for metal tool bench
- Tools that are crafted from flint and obsidian now require a string or sinew for lashing (knife, hatchet, shovel, axe)

MITE 1.6.4 R149 | April 30, 2017
--------------------------------
- Somewhat experimental and not compatible with previous releases
- Crafting tables have been split into 8 different types according to their tool material, and are now called "tool benches"
- The flint tool bench is crafted by combining a log with a piece of flint
- The metal tool benches are crafted by combining a plank block with 3 ingots
- Planks require a flint tool bench (or better) to be crafted from logs
- Combination repair of all metal items requires an anvil or tool bench with tools of sufficient hardness
- Crafting of metal items requires a tool bench with tools of sufficient hardness (there are some exceptions such as nuggets <-> ingots)

MITE 1.6.4 R148 | April 28, 2017
--------------------------------
- Added missing recipes for ancient metal buckets
- Added tooltip for when player isn't skilled enough to repair an item
- Fixed bug that caused crops to not grow correctly when time forwarding occurred during rainy weather events
- Random blight occurence reduced by 50% and blight spread rate reduced by 50%
- Crops receive a 50% growth rate penalty unless they have an adjacent neighbor of the same type that is adjacent to another crop of the same type (encourages planting in rows or groups)

MITE 1.6.4 R147 | April 26, 2017
--------------------------------
- New coin icons
- Dungeon chests may contain coins now instead of nuggets
- Buckets have a chance of being destroyed when they get filled with lava, depending on metal type
- Grass blocks convert to dirt when lava is above
- Silverfish give warning before emerging from blocks
- Silverfish emerging from blocks can initiate cave-ins
- Silverfish don't take damage from falling sand, dirt, or gravel

MITE 1.6.4 R146 | April 21, 2017
--------------------------------
- Saplings take longer to mature (4x longer on average)
- New silverfish variant added: Copperspine (appears near copper veins and inflicts poisoning)
- Inventory bowls and buckets no longer fill with water when player submerges
- Restored ability to place source water and lava blocks via Ctrl + Right Click (costs 100 XP per placement)

MITE 1.6.4 R145 | April 17, 2017
--------------------------------
- Reduced XP value of lapis
- Holding a bow drawn consumes hunger
- Added new torso armor enchantment: Endurance (20% hunger cost reduction per level for harvesting, block placing, attacking, throwing, tilling earth, and drawing bows)

MITE 1.6.4 R144 | April 16, 2017
--------------------------------
- Fixed bug that sometimes caused player to be pushed into wall when getting out of bed (reported by LudwigDeLarge)
- Added new mob variants: Nightwing (shadow bat) and Netherspawn (explosive silverfish)
- Gems (diamonds, emeralds, lapis lazuli, quartz) can now be sacrificed for XP via right-click

MITE 1.6.4 R143 | March 13, 2017
--------------------------------
- Frequency of rainy weather reduced by roughly 25%
- Sheep lose their wool if damaged by pepsin or acid attacks
- Fixed bug that prevented mobs from spawning on ice-covered lakes
- Added server-side log entries to help debug "Connection Lost, Failed to login: Bad login" error that occurs when players try to join a MITE server using the new game launcher

MITE 1.6.4 R142 | March 8, 2017
-------------------------------
- Fixed bug that prevented baby chickens from being pushed by flowing water
- Fixed bug that allowed item duplication by exiting the game during item pickup
- Fixed bug that allowed player to bypass forced respawn counter by remaining in inventory screen
- Fixed bug that caused items to lose their quality when shift-clicked onto enchantment tables
- Fixed economy repair bug that occurred when repairing leather armors with sinew
- Fixed bug that caused spiders to spawn under ice
- Normal sized vampire bats will now periodically feed on livestock instead of repeatedly attacking them to death

MITE 1.6.4 R141 | September 20, 2016
------------------------------------
- New dimension added: Underworld
- New mob and metal added for Underworld
- New achievement and requirement added for beating Ender Dragon
- Portal behavior changed
- Portals in Overworld that rest on bedrock lead to Underworld
- Portals in Underworld that rest on bedrock lead to The Nether
- Portals in Overworld that don't rest on bedrock lead to world spawn
- Toughness and attack strength of Earth Elementals increased

MITE 1.6.4 R140 | September 5, 2016
-----------------------------------
- New mob variants: Vampire Bat and Giant Vampire Bat
- Vampire bats attack players and animals, and heal themselves by drinking their victim's blood
- Hardcore heart particle is shown instead of regular heart when entity heals via vampiric transfer
- Groups of bats sometimes spawn on cavern ceilings
- Ocelots can attack bats
- Added swimming AI to snowmen and they now attempt to get out of water
- Villagers now avoid earth elementals
- Explosion blasts can easily convert mycelium blocks to regular dirt

MITE 1.6.4 R139 | August 31, 2016
---------------------------------
- Epic cave generation added, including rare occurances of mushroom caverns (R139+ worlds)
- Ravine frequency reduced by 50% and ravines are prevented from generating in ocean biomes (R139+ worlds)
- Fixed bug that sometimes allowed giant mushrooms to grow through each other
- Mobs can no longer spawn on mycelium or mushroom cap
- Lava destroys mycelium and mycelium that is under water ticks to dirt
- Mycelium doesn't attempt to spread to submerged blocks
- Mycelium can only be harvested with Silk Touch
- Gold ore added to The Nether (R139+ worlds)

MITE 1.6.4 R138 | August 24, 2016
---------------------------------
- Fixed anvil bug reported by LudwigDeLarge

MITE 1.6.4 R137 | August 23, 2016
---------------------------------
- Fixed "concurrent modification exception" crash that occasionally occurred in Nether
- Third person views of player are no longer occluded by glass (you can take a picture of yourself through a window now)
- Gelatinous cubes now attack villagers and villagers avoid gelatinous cubes
- Hellhounds no longer drop leather

MITE 1.6.4 R136 | August 21, 2016
---------------------------------
- Fixed a small bug related to spawning of gelatinous cubes
- Decreased jump frequency of gelatinous cubes when they have no target
- Adjustments made to how nutrition losses due to metabolism are handled
- Wolves and dire wolves are more easily tamed during the nights of blue moons
- A moon dog now appears around each full moon that precedes a blue moon
- Fixed a bug that sometimes caused vignette to appear when it shouldn't

MITE 1.6.4 R135 | August 18, 2016
---------------------------------
- Made some improvements to block dissolving behavior for gelatinous cubes
- Adjusted experience values of gelatinous cubes and magma cubes
- Magma cubes cannot be harmed by tools that aren't effective vs stone
- Chat no longer blocks mouse input; player can continue to interact with world while chatting
- Pressing TAB while sprinting now stops sprinting

MITE 1.6.4 R134 | August 14, 2016
---------------------------------
- New variants of gelatinous cubes added: the Jelly, the Blob, the Ooze, and the Pudding
- Slimes, jellies, and blobs secrete pepsin that digests flesh and protein-based items such as meats, cheese, and leather
- Jellies inflict more damage than slimes and are found in subterranean locations
- Blobs inflict more damage than jellies and are able to paralyze their victims on touch
- Oozes and puddings are highly acidic and can dissolve dropped and carried items made of wood and metal; only mineral-based items (such as stone blocks), gold, mithril, and adamantium can resist their acid
- Oozes and puddings can gradually dissolve blocks such as buttons, levers, doors, ladders, wooden fences, rails, etc.
- Oozes are a non-jumping type of gelatinous cube and are able to move silently and climb vertical surfaces
- Oozes are immune to fire but can be harmed by lava and enchanted weapons
- Puddings can only be damaged by fire, lava, and enchanted weapons
- Oozes may be occasionally encountered by unfortunate miners
- Slime balls can now be thrown; each species of gelatinous cube drops its own type of slime ball
- All gelatinous cubes and magma cubes knock torches from walls if they bump into them
- Attacking a slime, jelly, blob, ooze, or pudding with an item in hand will damage that item if it is susceptible
- Arrows shot into oozes and puddings are instantly dissolved and unrecoverable
- Slimes now blight crops on contact (jellies and blobs as well); oozes, puddings, and magma cubes destroy them and other plants
- All gelatinous cubes seek and attack animals
- Squish animation of slimes and other gelatinous cubes is smoother now
- Gelatinous cubes now cast shadows corresponding with their size
- Slimes are now prevented from jumping over fences, gates, and walls
- Burning arrows that land in snow or ice are extinguished
- Time forwarding now takes blood moons into consideration
- Buckets of lava being carried while player submerges become buckets of stone
- The contents of most carried buckets and bowls become water when player submerges (water reaches eye level)
- If a player's armor protection meets or exceeds damage then there's only a chance of taking a half heart of damage
- Fixed a bug that caused lava to occasionally not flow or light update in Nether
- Reduced spawn rate of fire elementals in shallow, flowing lava
- Fixed bug that prevented nutrition and satiation from being displayed in tooltip for mushrooms
- Corrected displayed hitbox for player (y-offset)
- Player is prevented from attacking for a brief period after trading and horse inventory windows are closed
- Ghouls will now attack villagers

MITE 1.6.4 R133 | August 3, 2016
--------------------------------
- The amount of light outdoors at night is now affected by moon phase
- The full moon preceding a blood moon is now a yellowish "harvest" moon
- Blood moons cast a redish glow on the land, harvest moons and blue moons project their colors as well
- Fleeing livestock can now spread panic to other kinds of livestock

MITE 1.6.4 R132 | August 1, 2016
--------------------------------
- Refinements to insulin resistance (mostly GUI)
- Fixed bug that prevented flames from appearing on arrows shot with the Flame enchantment
- Fixed bug that caused mobs to try to jump over open doors and trapdoors
- Days of blood moons always have stormy weather during light hours and clear off at night
- Rain falls in the desert during daylight hours of blood moons
- Increased lightning frequency during blood moon storms
- Color of sunrise now indicates if day will be clear, rainy, or stormy
- Variation added to sunset colors
- Sunrise and sunset colors are no longer visible when sky is overcast
- Clear weather is always guaranteed during entire day of blue moons
- Burning skeletons have a chance of firing burning arrows

MITE 1.6.4 R131 | July 28, 2016
-------------------------------
- New mechanic added: Insulin Resistance
- Players accumulate insulin resistance when they eat sugary foods; it incurs penalties and dissipates over time
- Thin snow on top of workbench now prevents its activation

MITE 1.6.4 R130 | July 25, 2016
-------------------------------
- New mob added: Earth Elementals
- Earth Elementals can only be damaged by tools that are effective against their material, are knockback resistant, and can dig through stone and smash down wooden doors quickly
- Blight appears frequently during nights of blood moons
- All crops and stems now require full daylight for growth (torch and lava light is no longer sufficient)
- Slimes now destroy crops and stems on contact
- Unsupported gravel and soul sand now falls when struck with projectiles (including thrown snowballs and bricks)
- Fixed bug that caused large numbers of falling blocks to leave craters on the surface of lava lakes
- Using bowls or buckets of liquid on Fire Elementals now damages them
- Adjustments made to mob spawning: more mobs should now be encountered while caving and large numbers of fire elementals are now prevented
- Player's damage bonus reduced from 2% to 0.5% per level
- Hellhounds now have glowing eyes

MITE 1.6.4 R129 | July 20, 2016
-------------------------------
- Improvements to fishing: fish hook no longer gets accidentally stuck on caster's boat or mount
- Player can no longer cast fishing rod while swimming, air borne, or submerged in liquid
- Added chance of catching large fish in open waters of ocean biomes
- Existing merchant villagers who are selling potions of XP will now sell potions of disenchanting instead
- Fixed terrain generation bug that did not extend tree trunks down into the water of ponds
- Fixed terrain generation bug that created stacks of horizontal log blocks adjacent to tree trunks
- Fixed bug that caused normal gravel to occasionally appear in Nether
- Decreased spawn frequency of ghasts and they are now prevented from spawning close to the player
- Slightly increased spawn frequency of wood spiders
- Doubled velocity of arrows fired from dispensers

MITE 1.6.4 R128 | July 17, 2016
-------------------------------
- Sleeping in a bed until sunrise no longer guarantees clear weather upon waking; weather clock is simply forwarded by amount of time slept
- Bone meal can no longer be used for instant growth of crops, saplings, cocoa, melons, blueberry bushes, or mushrooms
- Manure can be fed to mushrooms to supersize them (instead of bone meal)
- Blight can now spread between different crop types
- Unwell livestock no longer drop meat
- Villagers no longer trade potions of experience
- Fixed bug that caused game to crash when furnace with a torch mounted on it was activated
- Rearranged achievements screen so that dependencies make more sense
- Added 11 new achievements

MITE 1.6.4 R127 | April 2, 2016
-------------------------------
- Cheese recipe using 4 bowls is now shapeless and 8 bowls can be crafted at the same time
- Mithril bow velocity bonus only shown when Shift key is held
- Text remains in chat entry if aborted using Esc key
- Big trees occasionally appear in plains biomes
- Placing a solid block in front of a smelting furnace will now snuff it out
- Livestock can no longer be bred when unwell
- Blood moons now cause undead mobs to become frenzied
- Frenzied zombies have enhanced digging abilities
- Frenzied mobs move 20% faster and inflict extra melee damage
- Frenzied skeletons shoot 33% faster
- Added a new type of zombie called a Revenant
- Endermen may become hostile to players who are have ender pearls or eyes in their inventory
- Endermen now pick up ender pearls and eyes
- Decreased wander speed of skeletons and ghouls
- Zombies don't convert villagers if they kill them with a weapon
- Removed enchanted golden apple's absorption effect
- Added /stats command to write character stats to file
- Silver armor now provides protection against poison, XP drain, and shadow effect
- Durability modifier is now shown when mousing over crafting output slot and also in tool tips
- The amount of level drain caused by wights is now based on the level of the victim
- Camera is lowered when sneaking (like in vanilla)
- Silver damage bonus to undead reduced from +50% to +25%
- Armor now provides flat protection values instead of damage reduction percentages
- Cave spiders and demon spiders are no longer peaceful in daylight
- Players can hop over fences
- Added /commands to list available MITE commands
- Fixed texture lighting on piston shafts
- Max stacksize of cake increased to 8, and pumpkin pie decreased from 16 to 8
- Cauldron stack size reduced from 16 to 4
- Knives can now acquire the Silk Harvest enchantment (except rusted iron knives)
- Swords, daggers, and knives are now effective against hay and carpets
- Skulls can be rotated by right clicking on them
- Undamaged cakes can be harvested
- Dragon egg can be pushed with pistons
- Rain and snow now falls through open trapdoors
- Cauldrons cannot be interacted with if covered by a solid block
- Red mushrooms can no longer grow under open sky when it is raining
- Snow flakes fall to tops of blocks instead of simply not appearing in partial-height blocks (most evident above snow)
- There are now variations in snow falls (from calm to windy)
- Entity shadows are now rendered properly on slabs and stairs
- Shadows also cause weakness to their victims
- Weak strikes cause less knockback than regular strikes
- Fixed bug that prevented vision dimming while wearing pumpkin helmet
- Vision dimming effect from shadows is now preserved between save-loads
- Pig zombies now swing their weapons when melee attacking
- Corrected ghast fireball trajectories
- Fireballs in mid-air are now preserved between save-loads
- Improved block collision detection for projectiles (for example, arrows can now hit piston shafts and inside surfaces of cauldrons)
- Protection values now shown for horse armor in tool tips
- Horse armor values decreased
- Improved pathing for old AI mobs (spiders and pig zombies)
- Fixed player arm rendering bug that occured in MP games when other player was on horse
- Fixed bug that caused map extension during map cloning
- Witches now have a chance of dropping potions and there's also a chance of potions appearing in hut chests
- Fixed bug that occasionally prevented chests from appearing in witch huts
- Generated ponds and lakes should no longer destroy witch hut posts and balconies
- Snow fall now destroys crops and melon stems
- Fixed another collision bug that caused player to sometimes get stuck in blocks when running over pits with a low ceiling above
- Fixed chunk generation bug that caused tall grass to appear on sand
- Stone type slabs now have different hardness values according to their material, and single slabs have half the hardness of their double slab counterparts
- New reference files added and existing ones improved
- Added ability to plant witherwood bushes in flower pots
- Shears can now be used to silk harvest dead bushes and witherwood
- Fixed some bugs associated with piston-pushing of entities
- Fixed bug that caused unwarranted horizontal propagation of falling lava in nether
- Fish bite duration increased by 20 ticks (1 second)
- Sky color transitions between biomes are now done gradually
- Black spots removed from terrain and underground lava pools (eliminating need for delayed lighting corrections)

MITE 1.6.4 R126 | October 3, 2015
---------------------------------
- Fixed bug that caused clients to get kicked when activating anvils in multiplayer games
- Cheese satiation and nutrition reduced from (4/4) to (3/3)
- Netherrack hardness reduced from 2.4 to 1.6
- Furnaces, dispensers, and droppers cannot be activated if their front side is obstructed
- Anvils, enchantment tables, and jukeboxes cannot be activated if their top side is obstructed

MITE 1.6.4 R125 | September 8, 2015
-----------------------------------
- Anvils now take damage from repairs that consume nuggets
- Repair costs for metal items doubled
- Falling anvils smash through glass
- Player does not regain air bar instantly
- Digging zombies and ghouls are prevented from despawning
- Optimizations to chunk rendering and rain splash particles
- Item frames and paintings working properly again
- Placing a block or right-clicking anywhere but the block being harvested cancels AHM
- Lots of code refactoring

MITE 1.6.4 R124 | September 1, 2015
-----------------------------------
- Code for block bounds is now thread safe
- Lake generation in snowy biomes tidied up a bit
- Stone buttons stay pressed for same duration as wooden buttons (30 ticks)
- Zombies that are breaking doors are prevented from despawning
- Tweaks to rain splash particles

MITE 1.6.4 R123 | August 31, 2015
---------------------------------
- Fixed bug that allowed despawning of distant but visible mobs
- Added new achievement for runegates
- Decreased damage and throw distance of bricks
- Throwing bricks now incurs a bit of hunger
- Squids require larger bodies of water for spawning
- Reduced top speed of boats by about 30%
- Buttons can no longer be mounted to dirt, grass, sand, gravel, snow, pumpkins or melons
- Levers can no longer be mounted to those blocks and soft clay as well
- Doors no longer require a solid block beneath them
- Doors require solid blocks on their hinge side and cannot be hinged to dirt, grass, sand, gravel, snow, leaves, pumpkins, melons, cloth, glass, or sponge
- Trap doors can no longer be hinged to those blocks as well
- Fixed bug that caused players to initially spawn deep in water instead of at the surface when no land is available
- Slimes can no longer spawn on top of trees
- Bats no longer fly randomly into the void
- Surface lake generation should no longer destroy tree trunks or leave tall grass, flowers, thin snow, etc suspended in the air
- Rain no longer drops torches
- Improvements to sprinting particles: they are no longer produced in mid-jump and not all block materials produce them (such as wood, stone, glass, ice, etc)
- Dropped items no longer slide on partial-height blocks above ice
- Reduced frequency of animals in snowy biomes
- Mobs can now spawn on slab and stair blocks
- Improved vanilla collision detection (entity bounding boxes were previously entering block bounds occasionally)

MITE 1.6.4 R122 | August 24, 2015
---------------------------------
- Item drops and windfalls from swamp trees reduced by 50%
- Crafting tables cannot be used if covered by a solid block or liquid
- Mobs can now spawn on thin snow, tripwire, lily pads, and in shallow water

MITE 1.6.4 R121 | August 20, 2015
---------------------------------
- Windfalls added: Leaf blocks have a small chance of dropping sticks per random tick; oak leaves and jungle leaves also have a chance of dropping fruit
- Maximum mob spawning density near player increases as player gets closer to a stronghold
- Smelting recipe change: 4 Sand -> Glass Block @ Heat Level 2
- Flowing water extinguishes furnaces
- Items now fall through leaf blocks
- Fixed vanilla bug that could cause world corruption if player quickly exits and reloads a world
- Achievements are now tied to the world instead of being global
- Achievements can be unlocked in any order
- New achievements: Well Rested, Seaworthy, Explorer, and Enlightenment
- Added world achievements screen for multiplayer games
- Fixed bug that prevented cursed status from showing when players left and rejoined while in Nether or The End
- Witch huts, jungle pyramids, desert temples, and villages are now generated further apart
- Jungle pyramids and desert temples are not generated within 2 km of world spawn
- Lots of code refactoring

MITE 1.6.4 R120 | August 10, 2015
---------------------------------
- Up to 4 clay balls can be converted into bricks per smelt
- Fixed bug that displayed sacred sandstone particles on regular sandstone stairs
- Torches have a random chance of dropping while in rain
- Jack o'lanterns are extinguished under water
- Fixed bug that reset block destruction progress when currently held item stack size changed
- Strongholds are now generated 16x further from world spawn
- Fixed vanilla bug that caused player to slide as if on ice when standing on slabs (or other partial height blocks) directly above ice
- Player now heals 4x faster while in bed instead of 2x faster
- Pistons now crush thin glass if it cannot be moved
- Chain mail armors now have exactly half the durability of their plate armor counterparts
- New metabolic hunger rate scheme:

 Standing in warm*/cool/icy water (+0%/+25%/+50%)
 Immersed in warm/cool/icy water (+0%/+50%/+100%)
 Standing in regular/storm rain (+25%/+50%)
 Standing in cool water with regular/storm rain (+37.5%/+50%)
 Malnourishment of any kind (+50%)
 Standing in snow (+0%) {might change this, snow doesn't look particularly menacing}

 *Warm water is defined as water that is in a desert biome

- Temporary /hunger command added for players who are curious about the new metabolic hunger rate scheme

MITE 1.6.4 R119 | August 7, 2015
--------------------------------
- Added 4 new achivements: "Now You're Cooking" (craft oven), "Flint Finder" (drop flint from gravel), "Let There Be Light" (craft torches), and "Soil Enrichment" (apply manure to farmland)
- Blueberry bushes are now less frequent but are typically found in larger patches
- The furnace window now displays the title "Oven" for ovens instead of "Furnace"
- Minimum harvest level of all strongboxes increased by 1 (so an iron pickaxe is required to break into a copper strongbox, etc)
- All hoes and all mattocks now trigger the "Time to Farm" achievement (before only the copper hoe would)
- Fixed bug that prevented auto-switching to damaged shovel after placing last gravel block
- Standing in 1 block of water causes x1.5 hunger and standing in 2 blocks of water causes x2.0 hunger (being in rain causes x2.0 hunger and does not stack with this)
- Changed protein and phytonutrient limits from 168000 ticks to 160000 ticks
- Changed protein and phytonutrient value of foods from 5000 to 8000 ticks per nutrition point (so eating 20 nutrition points worth of a protein-containing food will now provide max protein from a malnourished state)
- Malnourished players can eat nutrient-rich foods even when fully satiated
- Crafting recipe for sandstone removed
- Furnace recipe for sandstone added: 4 sand -> 1 sandstone @ heat level 1
- Flint hatches and flint axes can be used to harvest sandstone
- Placing blueberry bushes on farmland now converts it into dirt
- Fixed bug that prevented players from placing cauldrons onto farmland
- Putting more than one cookable item into an open fire (fire block) gives it a chance of being extinguished (more cookable items = higher chance fire will go out; this prevents player from quickly cooking large batches of foods in open fires)
- Fixed bug that generated jungle pyramids with invalid puzzle mechanisms
- Got rid of "BlockRedstoneLogic.updateTick: this function was called" error message
- Time still progresses when player is in respawn screen but there is now an auto-respawn countdown (120 seconds) that forces the player to respawn (this prevents player from passing long periods of time in the respawn screen to skip the night or for farming purposes)
- Players in respawn screen no longer prevent other players from sleeping in beds
- Fixed bug that caused falling blocks to always drop as themselves when landing on soul sand
- Added large clay oven: 8 Hardened Clay -> Large Clay Oven
- Combining four bricks now produces a hardened clay block instead of a bricks block
- New recipe for bricks blocks: 8 Bricks + 1 Sand -> 2 Bricks Blocks
- New recipe for nether bricks blocks: 8 Nether Bricks + 1 Soul Sand -> 2 Nether Bricks Blocks
- Bricks can now be thrown (+2 missile damage, breaks thin glass)

MITE 1.6.4 R118 | July 31, 2015
-------------------------------
- Added ability to repair leather armor in crafting grid by combining it with sinew
- The Leather -> Sinew recipe now produces 4 sinews so that repairing leather armor costs 1/4 as much as crafting it
- Reduced protection of leather armor somewhat to compensate for its ease of repair and to increase the difference between it and chain mail
- Worn armor no longer gets destroyed; its protection starts to diminish once its durability drops below 50%
- Global hunger rate changed to x0.75 (as opposed to x1.0 in R116 and x0.5 in R117)
- In addition to normal hunger players now lose 1 point of nutrition every 8 hours regardless of their satiation level; this makes it impossible to live solely on sugar and other junk foods
- Malnourished players have their hunger rate doubled in addition to slow healing
- All flowers produce only 1 dye instead of 2
- Reverted all tools, weapons, and armor to their R116 levels, but then implemented the following changes to material durabilities:

 Material (R116 -> R118)
 Copper/Silver: 3.0 -> 4.0
 Gold: 2.0 -> 3.0
 Iron: 4.0 -> 8.0
 Mithril: 16.0 -> 64.0
 Adamantium: 64.0 -> 256.0

- Added blueberry bushes to forest and forest hill biomes; they can be picked and will regrow their berries over time or when bone-mealed
- New food: Blueberries (1/1, phytonutrients)
- Added food recipe: Seeds + Blueberries + Sugar + Bowl of Water -> Porridge (4/2, phytonutrients)
- Added food recipe: Wheat + Sugar + Bowl of Milk -> Cereal (4/2, protein)
- Disabled time forwarding in dedicated server worlds to prevent easy farming
- Progression of time in non-dedicated server worlds now halts when all players are in respawn screen
- Damage to armor is now distributed randomly instead of being directed to armored locations (to stop a piece of armor from taking all of the damage when it is the only piece being worn)
- Fixed bug that prevented wolves from de-aggroing
- Minor tweak: bounding box height reduced on stems that are attached to melons/pumpkins

MITE 1.6.4 R117 | July 25, 2015
-------------------------------
- Five new flowers added: orchids, alliums, tulips, dahlias, and daisies
- Orchids provide light blue dye and are found in jungle biomes
- Alliums provide magenta dye and are found in swamps
- Tulips provide orange dye and are found in many biomes
- Dahlias provide pink dye and are found in the same biomes as tulips
- Daisies provide light grey dye and are found in most biomes except for swamps and jungle
- Bonemeal applied to grass has chance of producing the new flowers
- Yellow flowers renamed to "dandelions"
- A few dandelions now appear in swamps
- Frequency of dandelions reduced (32 placement attempts are now made per patch instead of 64)
- Swamp hut chests have a chance of containing dandelions and alliums
- Dandelions and alliums added to random witch drops
- Flowers do not drop as items when trampled by pigs, sheep, or cows
- Flower pots modified to accomodate new flower types
- Fixed bug that caused arrows to sometimes bounce off of endermen
- Removed gravel -> cobblestone recipe and nether gravel -> netherrack recipe
- New food recipe: baked potato + cheese + bowl of milk -> mashed potato
- New food recipe: orange + sugar + snowball + bowl -> sorbet
- Food value of salads reduced from 1,2 to 1,1
- Added economy repairs for anvils
- Doubled durability of all tools and armor
- Items fall at a slower rate through liquids
- Fishing catch rate not as low during non-peak hours (1 in 2400 as opposed to 1 in 4000)
- Fishing catch rate increased during entire night of blue moons
- Chickens drop fewer feathers
- Skeleton archers drop fewer arrows
- All hunger rates halved
- Converting sugar cane to sugar takes about twice as long
- Cows have increased chance of trampling plants
- Cows now feed on dandelions in addition to tall grass
- Cows periodically destroy the tall grass or dandelion they are feeding on
- Fixed bug that caused skeletons and zombies to repeatedly drop and pick up weapons
- Skeleton archers now pick up bows if they are better than the one they currently have
- Low quality held items are not dropped by mobs 75% of the time, unless they have a lot of durability left or were picked up
- Mobs have a much lower chance of spawning with enchanted weapons and armor
- Sand -> sandstone recipe changed to 3 sand in a row and requires crafting table
- Coins added
- Slightly more flowers in forests and jungle biomes